const throttleFn = require('lodash.throttle');

export function throttle(milliseconds = 0, options = {}) {
  return function (target, propertyKey, descriptor) {
    const originalMethod = descriptor.value;
    descriptor.value = throttleFn(originalMethod, milliseconds, options);
    return descriptor;
  };
}